--print("Setting Up Pause Menu")
clearMenu();
--menu config
--button description, lua string, title
--slider description, command, initial value

gofile("menu/requester_setup.lua");

setMenuButton(menu_boxMetal);
setMenuBullet(menu_bullet);
setMenuSlider(menu_slider);

setMenuEscape("deactivateMenu()");
setBackDrop(18,16.5,50,35,menu_backdrop, 1.0);

addMenuButton(getString("pause menu"), " ", true);
if getDebug() then
addMenuButton("Debug", "gofile(\"menu/test_town.lua\")", false);
end
if netIsTeams() then
addMenuButton(getString("change teams"), "netChangeTeam(); deactivateMenu();", false);
end
addMenuButton(getString("instructions"), "gofile(\"mpgui/mpgui_instructions.lua\")", false);
addMenuButton(getString("game options"), "gofile(\"mpgui/mpgui_settings.lua\")", false);
addMenuButton(getString("exit"), "gofile(\"menu/requester_exit.lua\")", false);
addMenuButton(getString("continue"), "deactivateMenu()", false);
autoSizeBackDrop();
activateMenu();